INSTALL - ESP Ghostscript 7.05.6 - 02/10/2003
---------------------------------------------

BEFORE YOU BEGIN

    You will need an ANSI C compliant compiler.  When in
    doubt, use GCC.

    You may also want the following libraries/software to
    provide additional functionality:

	- CUPS version 1.1 or higher

	  Used for the CUPS drivers.

	- JPEG version 6b or higher

	  Used for the Ghostscript JPEG output drivers and
	  filters.

	- OMNI 0.7.0 or higher

	  Used for the OMNI driver in Ghostscript; extract the
	  source archive in this directory and then configure
	  Ghostscript.

	- PNG version 1.0 or higher

	  Used for the Ghostscript PNG output drivers, which
	  also require ZLIB.

        - X11R4 or higher

	  Used for the Ghostscript display device so you can
	  preview PS and PDF files on your screen.

        - ZLIB version 1.1 or higher

	  Allows Ghostscript to compress data for smaller
	  memory/disk usage, particularly when generating PDF
	  files.  Is also used to provide data compression for
	  the PNG library.


CONFIGURING ESP GHOSTSCRIPT

    ESP Ghostscript includes a GNU autoconf configure script
    that builds the main Ghostscript makefile.  To configure ESP
    Ghostscript with the defaults, use:

        ./configure

    If you want to use a different compiler or options for the
    build, set the CC, CFLAGS, and LDFLAGS environment variables
    prior to configuring the software:

        CC=mycc; export CC
	CFLAGS="-Oreallyfast -I/mydirectory/include"; export CFLAGS
	LDFLAGS="-Oreallyfast -L/mydirectory/lib"; export LDFLAGS
	./configure

    or:

        setenv CC mycc
	setenv CFLAGS "-Oreallyfast -I/mydirectory/include"
	setenv LDFLAGS "-Oreallyfast -L/mydirectory/lib"
	./configure

    Finally, the configure script accepts a number of command-line
    arguments to control where files are installed, etc.:

        --disable-cups

	    Disables the CUPS driver (default = check for CUPS)

        --prefix=/some/dir
        --exec_prefix=/some/dir
        --bindir=/some/dir
        --datadir=/some/dir
        --libdir=/some/dir
        --mandir=/some/dir

	    Set the installation directories for the software
	    (default = /usr/local/...)

	--enable-compiled-inits

	    Compiles all of the Ghostscript initialization files
	    into the executable.  This is useful when generating
	    a standalone executable that is to be installed
	    manually on many systems.

	--with-drivers=LIST
	--with-driversfile=FILE

	    Sets the drivers to compile into Ghostscript.  The
	    "--with-drivers" list is a list of comma-separated
	    driver names or classes.  Use "./configure --help"
	    to see a complete list of supported driver classes.

	    The "--with-driversfile" file is a list of newline-
	    separated driver names or classes.

	    The "--with-driversfile" option overrides the
	    "--with-drivers" option, and visa-versa.

        --with-fontpath="/some/dir1:/some/dir2:...:/some/dirN"

            Set the font search path
	    (default = /usr/share/ghostscript/fonts)

	--with-gs=NAME

	    Sets the name of the resulting executable; the
	    default is "gs".

	--with-ijs

	    Includes the IJS driver support.

	--with-gimp-print

	    Includes the GIMP-print (stp) driver support.

	--with-omni

	    Includes the OMNI driver support; this requires the
	    OMNI source distribution as well - unpack it in this
	    directory so there is an Omni subdirectory for the
	    configure script to find.

	--with-x

	    Includes the X11 display driver support.


COMPILING ESP GHOSTSCRIPT

    Type:

        make

    to compile the ESP Ghostscript software.  Several minutes to
    several hours later you should end up with executables.

    To test your ESP Ghostscript build, type:

        bin/gs -Ilib examples/tiger.ps

    This should display the ubiquitous roaring tiger image that
    has been used for so many years.


INSTALLING ESP GHOSTSCRIPT

    To install the ESP Ghostscript software, type:

        make install

    This will also install the CUPS support files.


REPORTING PROBLEMS

    To report problems with this distribution, please send email
    to "espgs@easysw.com".  Don't expect an answer right away,
    but we will try to resolve any problems with ESP Ghostscript
    that are found.
